
/* Chrysalide - Outil d'analyse de fichiers binaires
 * decompiler.h - prototypes pour l'encadrement des phases de décompilation
 *
 * Copyright (C) 2010-2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_DECOMP_DECOMPILER_H
#define _ANALYSIS_DECOMP_DECOMPILER_H


#include "../binary.h"



/* Procède à la décompilation des routines d'un fichier donné. */
GCodeBuffer *decompile_all_from_file(const GLoadedBinary *, const char *);



#endif  /* _ANALYSIS_DECOMP_DECOMPILER_H */
